#
# Conditional build:
%bcond_without	tests		# py.test tests
%bcond_with	tests_scm	# py.test tests using SCM programs (git, hg)

Summary:	Python 2 package to manager versions by scm tags
Summary(pl.UTF-8):	Pakiet Pythona 2 do zarządzania wersjami poprzez etykiety systemu kontroli wersji
Name:		python-setuptools_scm
Version:	5.0.2
Release:	5
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/setuptools_scm/
Source0:	https://files.pythonhosted.org/packages/source/s/setuptools_scm/setuptools_scm-%{version}.tar.gz
# Source0-md5:	8ddd44e0cd3a243350fe709024ec7224
URL:		https://github.com/pypa/setuptools_scm
BuildRequires:	python-modules >= 1:2.7
BuildRequires:	python-setuptools >= 1:42
%if %{with tests}
BuildRequires:	python-py >= 1.4.26
BuildRequires:	python-pytest >= 3.1.0
BuildRequires:	python-toml
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with tests_scm}
BuildRequires:	git-core
BuildRequires:	mercurial
%endif
Requires:	python-setuptools
Requires:	python-toml
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
setuptools_scm is a simple utility for the setup_requires feature of
setuptools for use in Mercurial and Git based projects.

%description -l pl.UTF-8
setuptools_scm to proste narzędzie dla funkcji setup_requires modułu
setuptools przeznaczone do stosowania w projektach opatych na
systemach kontroli wersji Mercurial i Git.

%prep
%setup -q -n setuptools_scm-%{version}

%if %{without tests_scm}
%{__rm} testing/test_{file_finder,git,mercurial,regressions}.py
%endif

# tries to install using pip
%{__rm} testing/test_setuptools_support.py

%build
%py_build

%if %{with tests}
PYTHONPATH=$(pwd)/src \
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
%{__python} -m pytest testing
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py_install

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.rst LICENSE README.rst
%{py_sitescriptdir}/setuptools_scm
%{py_sitescriptdir}/setuptools_scm-%{version}-py*.egg-info
%changelog
* Sat Apr 09 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-setuptools_scm.git;a=log;h=master

* Sat Apr 09 2022 Jan Rękorajski <baggins@pld-linux.org> 59156d3
- Release 5 (by relup.sh)

* Sat Apr 09 2022 Jan Rękorajski <baggins@pld-linux.org> 3913739
- python 3 support moved to python3-setuptools_scm package, rel 4

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 4c69404
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 438f857
- rebuild with python 3.10

* Sat Mar 05 2022 Jakub Bogusz <qboosh@pld-linux.org> e6f9d2e
- updated to 5.0.2 (currently the last version supporting python2)

* Thu Dec 16 2021 Jakub Bogusz <qboosh@pld-linux.org> b9b9739
- setuptools epoch

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 84f856e
- release 3 (by relup.sh)

* Thu Feb 04 2021 Jakub Bogusz <qboosh@pld-linux.org> 93ab9a3
- fixed tests (PYTHONPATH must contain current .egg-info)

* Thu Jan 28 2021 Jan Palus <atler@pld-linux.org> a813f03
- R: python-toml for complete functionality; rel 2

* Thu Jan 28 2021 Jan Palus <atler@pld-linux.org> f4fbde5
- up to 5.0.1

* Sat Nov 09 2019 Marcin Krol <hawk@tld-linux.org> 5428b78
- release 3

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 47b8b7e
- rebuild with python 3.8
- release 2 (by relup.sh)

* Fri Oct 25 2019 Jakub Bogusz <qboosh@pld-linux.org> e46cf47
- updated to 3.3.3
- test_fallback still fails, disable for now

* Mon Oct 21 2019 Jakub Bogusz <qboosh@pld-linux.org> 6764ee4
- fixed tests running, one test still fails

* Sat Oct 12 2019 Adam Gołębiowski <adamg@pld-linux.org> dfe8106
- upadated to 3.3.1

* Sat Jul 21 2018 Jakub Bogusz <qboosh@pld-linux.org> 3b805f3
- updated to 2.1.0

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> e99be6b
- release 3 (by relup.sh)

* Sun Mar 12 2017 Jakub Bogusz <qboosh@pld-linux.org> 3f7ab10
- release 2

* Sun Mar 12 2017 Jakub Bogusz <qboosh@pld-linux.org> 2a32929
- test_regressions also uses git, added to tests_scm bcond

* Sat Mar 11 2017 Jakub Bogusz <qboosh@pld-linux.org> 9c37af6
- disable git and hg tests by default

